> ## Documentation Index
> Fetch the complete documentation index at: https://docs.subotiz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhook Events

> Returns a list of webhook events created via the API only when the callback_url was specified in the request.

Returns a list of webhook events created via the API only when the callback\_url was specified in the request.


## OpenAPI

````yaml openapi/v1-en.yaml GET /api/v1/webhook-event
openapi: 3.0.3
info:
  title: Subotiz API
  description: Subotiz OpenAPI
  version: 1.0.0
servers:
  - url: https://{api}.subotiz.com
    variables:
      api:
        default: api
security:
  - sec0: []
tags:
  - name: Subscription
    description: Subscription
  - name: Price
    description: Price
  - name: Trade
    description: Trade
  - name: Payment
    description: Payment
  - name: Checkout Session
    description: Checkout Session
  - name: Customer
    description: Customer
  - name: Customer Portal
    description: Customer Portal
paths:
  /api/v1/webhook-event:
    get:
      tags:
        - Webhook
      summary: List Webhook Events
      description: >-
        Returns a list of webhook events created via the API only when the
        callback_url was specified in the request.
      operationId: v1-webhook-list-webhook-event
      parameters:
        - name: business_ids
          in: query
          description: >-
            Business ID array, filter webhook events whose business IDs belong
            to this array
          schema:
            type: array
            items:
              type: string
        - name: event_type
          in: query
          description: >-
            Event type array, filter webhook events whose event types belong to
            this array
          schema:
            type: array
            items:
              type: string
        - name: event_status
          in: query
          description: >-
            Event status array, filter webhook events whose event status belong
            to this array
          schema:
            type: array
            items:
              type: string
        - name: starting_after
          in: query
          description: >-
            Cursor for pagination. `starting_after` is the object ID that
            defines your position in the list. For example, if you want to get
            the next page, you can use the last object's ID as the parameter
            value after getting the object list for the first time. Cannot be
            used together with `ending_before`
          schema:
            type: string
        - name: ending_before
          in: query
          description: >-
            Cursor for pagination. `ending_before` is the object ID that defines
            your position in the list. For example, if you want to get the
            previous page, you can use the first object's ID as the parameter
            value after getting the object list for the first time. Cannot be
            used together with `starting_after`
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Pagination parameter, number of items per page, default: 10,
            interface defaults to sorting by creation time in descending order.
            Limit: [1, 100]
          schema:
            type: integer
            format: int32
        - $ref: '#/components/parameters/HeaderRequestID'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListWebhookEventResponse'
      deprecated: true
components:
  parameters:
    HeaderRequestID:
      name: Request-Id
      in: header
      description: The unique identifier of the request
      required: true
      schema:
        type: string
        default: 008e3967-a1b5-48bb-be14-d5bff5092e61
  schemas:
    ListWebhookEventResponse:
      type: object
      properties:
        code:
          type: string
          description: error code
        message:
          type: string
          description: error message
        data:
          $ref: '#/components/schemas/ListWebhookEventResponse_Data'
    ListWebhookEventResponse_Data:
      type: object
      properties:
        has_more:
          type: boolean
          description: Whether there is more data
        list:
          type: array
          items:
            $ref: '#/components/schemas/WebhookEvent'
          description: Webhook event list
    WebhookEvent:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the webhook event
        business_id:
          type: string
          description: Business identifier associated with the event
        event_type:
          type: string
          description: >-
            Event type

            - invoice.payment_failed: Triggered when invoice payment fails

            - invoice.paid: Triggered when invoice payment succeeds

            - subscription.trial_period_expiring: Triggered when subscription
            trial period is about to expire

            - subscription.first: Triggered when subscription first payment
            succeeds

            - subscription.canceled: Triggered when subscription is canceled

            - subscription.price_changed: Triggered when subscription price is
            changed

            - trades.succeeded: Triggered when trade payment succeeds

            - trades.payment_failed: Triggered when trade payment fails

            - refunds.succeeded: Triggered when refund succeeds

            - refunds.failed: Triggered when refund fails
        event_status:
          type: string
          description: |-
            Event delivery status
            - pending: Event is pending delivery
            - success: Event delivered successfully
            - failed: Event delivery failed
        url:
          type: string
          description: Webhook callback URL
        content:
          type: string
          description: >-
            Event payload content, JSON-encoded string containing event-specific
            data
  securitySchemes:
    sec0:
      type: http
      description: >-
        Bearer API Key authentication. Format: Authorization: Bearer
        {your_api_key}
      scheme: bearer

````